AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
GetDataCommand Class
GetDataCommand Constructor
GetDataCommand Constructor (String)
GetDataCommand Constructor (String, Int64)
GetDataCommand Constructor (String, Int64, Int32)

| GetDataCommand Constructor (String, Int64)

Creates a new GetDataCommand with the given timeout and maxDigits set to 1024.

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public GetDataCommand(
    	string file,
    	long timeout
    )

    Public Sub New (
    	file As String,
    	timeout As Long
    )

    public:
    GetDataCommand(
    	String^ file,
    	long long timeout
    )

    new :
            file : string *
            timeout : int64 -> GetDataCommand

#### Parameters

file
  Type: System
  String
  the name of the file to stream, must not include extension.
timeout
  Type: System
  Int64
  the timeout in milliseconds to wait for data.
  0 means standard timeout value, -1 means "ludicrous time" (essentially never times out).

See Also

#### Reference

GetDataCommand Class
GetDataCommand Overload
AsterNET.FastAGI.Command Namespace